Skip to content

Normalize Text To Style

POST
/style/normalize

Apply the org’s writing-style rules (brand-name casing and the like) to a text. FREE.

Deterministic - no model runs. The same normalisation generation applies.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

Text to normalise to the org’s writing style.

object
text
required
string

Responses

200

Successful Response

object
data
required

One Studio object, open-shaped. See the module docstring.

object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string